package com.example;

import com.azure.data.appconfiguration.ConfigurationClient;
import com.azure.data.appconfiguration.ConfigurationClientBuilder;
import com.azure.data.appconfiguration.models.SettingSelector;
import com.example.service.AzureAppConfigService;

public class JavaAzureAppConfigApplication {

    private static final String APP_CONNECTION_STRING = System.getenv("APP_CONFIGURATION_CONNECTION_STRING");

    public static void main(String[] args) {
        ConfigurationClient configurationClient = new ConfigurationClientBuilder().connectionString(APP_CONNECTION_STRING).buildClient();
        new AzureAppConfigService(configurationClient, new SettingSelector()).azureAppConfiguration();
    }
}
